<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::get('/providers', 'ProviderController@getAll');
Route::get('/services', 'ServiceController@getAll');
Route::get('/services/provider/{provider_id}', 'ServiceController@getServicesByProvider');
Route::get('/providers/service/{service_id}', 'ProviderController@getProvidersByService');

Route::get('/provider/{provider_id}/timing/{date}/available', 'ProviderController@getAvailableDate');
Route::get('/provider/{provider_id}/timing', 'ProviderController@getProvider');
